All Classes Namespaces Functions Variables Groups Pages
<closure> Class Reference

Methods in this pseudo-class can be executed on closures. More...

Inheritance diagram for Qore::<closure>:
[legend]

## Public Member Functions

int | typeCode ()
| Returns Qore::NT_CLOSURE.
Public Member Functions inherited from <callref>
bool | callp ()
| Returns True because this is a callable type.
any | exec (...)
| Evaluates the code with the arguments given and returns the result.
int | typeCode ()
| Returns Qore::NT_CALLREF.
bool | val ()
| Returns True.
Public Member Functions inherited from <value>
bool | callp ()
| Returns False; this method is reimplemented in other types and will return True if the given expression is a callable value (ie closures or call references)
bool | empty ()
| Returns True; this method will be reimplemented in container types where it may return False.
bool | intp ()
| Returns False; this method is reimplemented in other types and will return True if the given expression can be converted to an integer.
AbstractIterator | iterator ()
| Returns an iterator object for the value; the default iterator object returned is SingleValueIterator.
int | lsize ()
| Returns 1; the return value of this method should give the list size of the value, which is normally 1 for non-lists (except for NOTHING where the size will be 0) and the number of the elements in the list for lists; this method will be reimplemented in other types where it may return other values.
int | size ()
| Returns zero; this method will be reimplemented in container types where it may return a non-zero value.
bool | strp ()
| Returns False; this method is reimplemented in other types and will return True if the given expression can be converted to a string.
bool | toBool ()
| Returns the boolean representation of the value; the default is False.
float | toFloat ()
| Returns the floating-point representation of the value; the default is 0.0.
int | toInt ()
| Returns the integer representation of the value; the default is 0.
string | toString ()
| Returns the string representation of the value; the default is an empty string.
string | type ()
| Returns the string type for the value.
int | typeCode ()
| Returns the type code for the value.
bool | val ()
| Returns False; this method is reimplemented in other types and will return True if the given expression has a value.

## Detailed Description

Methods in this pseudo-class can be executed on closures.

## Member Function Documentation

int <closure>::typeCode | ( |  | ) |

Returns Qore::NT_CLOSURE.

Returns
  Qore::NT_CLOSURE

Code Flags:
  CONSTANT

Example:
  switch ($c.typeCode()) {
  case NT_CLOSURE:
  printf("%y: is a closure\n", $c);
  break;
  }